<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: pdts_defs Package  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">pdts_defs Package Reference</div>  </div>
</div><!--header-->
<div class="contents">

<p><a href="classpdts__defs-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classpdts__defs.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Constants"></a>
Constants</h2></td></tr>
 <tr class="memitem:a8b226fc99c3607517ec4addb6da1a96f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8b226fc99c3607517ec4addb6da1a96f"></a>
<a class="el" href="classpdts__defs.html#a8b226fc99c3607517ec4addb6da1a96f">CLK_FREQ</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">real</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">50</span> <span class="vhdlchar">.</span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5e8f1b383a05636d27487ff246a703d6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5e8f1b383a05636d27487ff246a703d6"></a>
<a class="el" href="classpdts__defs.html#a5e8f1b383a05636d27487ff246a703d6">SCLK_RATIO</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">5</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a55a41f6703dc8f542605c203f8d62616"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a55a41f6703dc8f542605c203f8d62616"></a>
<a class="el" href="classpdts__defs.html#a55a41f6703dc8f542605c203f8d62616">CCHAR</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">X</span><span class="vhdlchar"> </span><span class="keyword">&quot; BC &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aff999d3d8fc195c633003521fe027049"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aff999d3d8fc195c633003521fe027049"></a>
<a class="el" href="classpdts__defs.html#aff999d3d8fc195c633003521fe027049">CCHAR_PD</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">9</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 1010000011 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a61ee4c0d75436f67c02447a24f477647"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a61ee4c0d75436f67c02447a24f477647"></a>
<a class="el" href="classpdts__defs.html#a61ee4c0d75436f67c02447a24f477647">CCHAR_ND</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">9</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="keyword">&quot; 0101111100 &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a818658bff7271a989e22e94112939287"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a818658bff7271a989e22e94112939287"></a>
<a class="el" href="classpdts__defs.html#a818658bff7271a989e22e94112939287">SCHAR</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">X</span><span class="vhdlchar"> </span><span class="keyword">&quot; 3C &quot;</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a632e9c2162d279dca184daee5233112d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a632e9c2162d279dca184daee5233112d"></a>
<a class="el" href="classpdts__defs.html#a632e9c2162d279dca184daee5233112d">GRP_W</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">positive</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:afa4aa5fdf17306ec1bb714c06e5972c0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="afa4aa5fdf17306ec1bb714c06e5972c0"></a>
<a class="el" href="classpdts__defs.html#afa4aa5fdf17306ec1bb714c06e5972c0">ADDR_WDS</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">positive</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a334bd28a7959457c985d1deda84bf52e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a334bd28a7959457c985d1deda84bf52e"></a>
<a class="el" href="classpdts__defs.html#a334bd28a7959457c985d1deda84bf52e">SCMD_W</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">positive</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa5a4045a38b97855f6f3208a02fc9b7e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5a4045a38b97855f6f3208a02fc9b7e"></a>
<a class="el" href="classpdts__defs.html#aa5a4045a38b97855f6f3208a02fc9b7e">CSUM_WDS</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">positive</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1e59ab8bfb41070c7c4906700e0d5e14"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1e59ab8bfb41070c7c4906700e0d5e14"></a>
<a class="el" href="classpdts__defs.html#a1e59ab8bfb41070c7c4906700e0d5e14">ACMD_LEN_MIN</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">natural</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">ADDR_WDS</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar">+</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">+</span><span class="vhdlchar"> </span><span class="vhdlchar">CSUM_WDS</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a30df74434387f84ef301fd08b44e33ca"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a30df74434387f84ef301fd08b44e33ca"></a>
<a class="el" href="classpdts__defs.html#a30df74434387f84ef301fd08b44e33ca">IDLE_DATA_WDS</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">positive</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">16</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5b6b6abcb096b9ee352b08c9db9bb8e4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5b6b6abcb096b9ee352b08c9db9bb8e4"></a>
<a class="el" href="classpdts__defs.html#a5b6b6abcb096b9ee352b08c9db9bb8e4">CMD_LEN_MAX</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">natural</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">IDLE_DATA_WDS</span><span class="vhdlchar"> </span><span class="vhdlchar">+</span><span class="vhdlchar"> </span><span class="vhdlchar">ACMD_LEN_MIN</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad91c24710cc6401b49ff5308f8bfcdba"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad91c24710cc6401b49ff5308f8bfcdba"></a>
<a class="el" href="classpdts__defs.html#ad91c24710cc6401b49ff5308f8bfcdba">COMMA_TIMEOUT_W</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">positive</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ada1974a7c5d83105b4ebe6669ad47ef9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ada1974a7c5d83105b4ebe6669ad47ef9"></a>
<a class="el" href="classpdts__defs.html#ada1974a7c5d83105b4ebe6669ad47ef9">TSTAMP_WDS</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">natural</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">8</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9694675733b5a742f35fb141b78ce66c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9694675733b5a742f35fb141b78ce66c"></a>
<a class="el" href="classpdts__defs.html#a9694675733b5a742f35fb141b78ce66c">EVTCTR_WDS</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">natural</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ace6d9cdc13ad3c1c585a5084eba3b167"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ace6d9cdc13ad3c1c585a5084eba3b167"></a>
<a class="el" href="classpdts__defs.html#ace6d9cdc13ad3c1c585a5084eba3b167">EVTCTR_MASK</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar">*</span><span class="vhdlchar"> </span><span class="vhdlchar">SCMD_W</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">X</span><span class="vhdlchar"> </span><span class="vhdlchar">&quot;</span><span class="vhdlchar"> </span> <span class="vhdldigit">0008</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1b8a515036ec83fea2de21204a9e67ee"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1b8a515036ec83fea2de21204a9e67ee"></a>
<a class="el" href="classpdts__defs.html#a1b8a515036ec83fea2de21204a9e67ee">SCMD_MAX</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa079bc1e8f51f15def8a4b82765b5640"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa079bc1e8f51f15def8a4b82765b5640"></a>
<a class="el" href="classpdts__defs.html#aa079bc1e8f51f15def8a4b82765b5640">SCMD_SYNC</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="comment">integer</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a1b2642aa020e676604d18ec8407ebda7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1b2642aa020e676604d18ec8407ebda7"></a>
<a class="el" href="classpdts__defs.html#a1b2642aa020e676604d18ec8407ebda7">SCMD_LEN</a> &#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">SCMD_LEN_T</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">SCMD_SYNC</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">+</span><span class="vhdlchar"> </span><span class="vhdlchar">TSTAMP_WDS</span><span class="vhdlchar"> </span><span class="vhdlchar">+</span><span class="vhdlchar"> </span><span class="vhdlchar">EVTCTR_WDS</span><span class="vhdlchar"> </span><span class="vhdlchar">,</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">others</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">=</span><span class="vhdlchar"> </span><span class="vhdlchar">&gt;</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Types"></a>
Types</h2></td></tr>
 <tr class="memitem:af0586d8e156d686507de68d468695c4f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af0586d8e156d686507de68d468695c4f"></a>
<b><a class="el" href="classpdts__defs.html#af0586d8e156d686507de68d468695c4f">SCMD_LEN_T</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlkeyword">array</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">to</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">2</span> <span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar">*</span><span class="vhdlchar"> </span><span class="vhdlchar">SCMD_W</span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">of</span><span class="vhdlchar"> </span><span class="comment">natural</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a7a9744262d037e6089c2098df2c059cd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a7a9744262d037e6089c2098df2c059cd"></a>
<b>record: <a class="el" href="classpdts__defs.html#a7a9744262d037e6089c2098df2c059cd">cmd_w</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">d</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">7</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">valid</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">last</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:af58c30f0c8c8d80502a86249b21cd481"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="af58c30f0c8c8d80502a86249b21cd481"></a>
<b><a class="el" href="classpdts__defs.html#af58c30f0c8c8d80502a86249b21cd481">cmd_w_array</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlkeyword">array</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="comment">natural</span><span class="vhdlchar"> </span><span class="vhdlchar">range&lt;&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">of</span><span class="vhdlchar"> </span><span class="vhdlchar">cmd_w</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a4ee9c1c029d3d4b4f7283427b74495d0"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a4ee9c1c029d3d4b4f7283427b74495d0"></a>
<b>record: <a class="el" href="classpdts__defs.html#a4ee9c1c029d3d4b4f7283427b74495d0">cmd_r</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlchar">ack</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic</span><span class="vhdlchar"> </span></b><br/>
<b><span class="vhdlchar">ren</span><span class="vhdlchar"> </span><span class="vhdlchar">:</span><span class="vhdlchar"> </span><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></b></td></tr>
<tr class="memitem:a88ab4f56866064a32449be12577882dd"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a88ab4f56866064a32449be12577882dd"></a>
<b><a class="el" href="classpdts__defs.html#a88ab4f56866064a32449be12577882dd">cmd_r_array</a>&#160;</td><td class="memItemRight" valign="bottom"><b><span class="vhdlkeyword">array</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="comment">natural</span><span class="vhdlchar"> </span><span class="vhdlchar">range&lt;&gt;</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">of</span><span class="vhdlchar"> </span><span class="vhdlchar">cmd_r</span><span class="vhdlchar"> </span></b></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__defs_8vhd_source.html#l00011">11</a> of file <a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__defs_8vhd_source.html">pdts_defs.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following files:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/DTS/ProtoDUNE_TimingSystem/<a class="el" href="DTS_2ProtoDUNE__TimingSystem_2pdts__defs_8vhd_source.html">pdts_defs.vhd</a></li>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/timing_system/ProtoDUNE_TimingSystem/<a class="el" href="timing__system_2ProtoDUNE__TimingSystem_2pdts__defs_8vhd_source.html">pdts_defs.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:34 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
